aboutsummaryrefslogtreecommitdiff
path: root/scripts/recording/camscreen.sh
diff options
context:
space:
mode:
authorAkshay Nair <phenax5@gmail.com>2020-12-24 00:06:27 +0530
committerAkshay Nair <phenax5@gmail.com>2020-12-24 00:06:27 +0530
commit865728068c965e066d0f8971c5b5ba26e12e7dce (patch)
treec16195f0a04cf7d004fe5b396255734f4d60bb00 /scripts/recording/camscreen.sh
parent649ef5f225039e498358c3d056dfd7fcbc56f014 (diff)
downloadnixos-config-865728068c965e066d0f8971c5b5ba26e12e7dce.tar.gz
nixos-config-865728068c965e066d0f8971c5b5ba26e12e7dce.zip
Adds scripts and links scripts and wallpapers
Diffstat (limited to 'scripts/recording/camscreen.sh')
-rwxr-xr-xscripts/recording/camscreen.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/recording/camscreen.sh b/scripts/recording/camscreen.sh
new file mode 100755
index 0000000..4b2b594
--- /dev/null
+++ b/scripts/recording/camscreen.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+outfile=${1:-"$HOME/Pictures/recordings/video-cs-$(date -Iminutes).mp4"};
+
+[[ -f "$outfile" ]] && echo "[File already exists]: $outfile" && exit 1;
+
+ffplay /dev/video0 -s 300x200 -an &
+
+ffmpeg -f x11grab -s 1920x1080 -i :0.0 -f alsa -i hw:0,0 $outfile;
+